/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package demojsoncrud.dao;

import demojsoncrud.beans.PersonaBean;
import org.json.JSONObject;

/**
 *
 * @author Alonso
 */
public interface PersonaDAO {

    public JSONObject listarPersonaTest();

    public JSONObject listarPersona(String search, String draw, String start, String length);

    public JSONObject registrarPersona(PersonaBean bean);

    public JSONObject editarPersona(PersonaBean bean);

    public JSONObject activarPersona(PersonaBean bean);

    public JSONObject desactivarPersona(PersonaBean bean);

}
